summaryrefslogtreecommitdiff
path: root/home/xyz/.local/bin/gita
diff options
context:
space:
mode:
Diffstat (limited to 'home/xyz/.local/bin/gita')
-rwxr-xr-xhome/xyz/.local/bin/gita18
1 files changed, 18 insertions, 0 deletions
diff --git a/home/xyz/.local/bin/gita b/home/xyz/.local/bin/gita
new file mode 100755
index 00000000..a3d0dbc9
--- /dev/null
+++ b/home/xyz/.local/bin/gita
@@ -0,0 +1,18 @@
+#!/bin/sh
+# note message string must come after options
+
+cmd='git'
+
+while getopts clLsS f; do
+ case $f in
+ c|l|L|s|S) cmd="cfg -$f";;
+ \?) exit 1;;
+ esac
+done
+shift $((OPTIND-1))
+
+mes="${1:-refactor}"
+
+$cmd add -u
+$cmd commit -m "$mes"
+$cmd push